| Tag TagList A structure to represent a list of tags. TagList<TTag1> TagList<TTag1, TagList<TTag2> > TagList<TTag1, TagList<TTag2, TagList<TTag3[...]> > > Include Headers seqan/basic.h Parameters
TTag1 | The first tag of the list.
TTag2 | The second tag of the list.
TTag3 | The third tag of the list.
Metafunctions
Find | A metafunction to retrieve the index of a tag in the TagList.
LENGTH | Number of elements in a fixed-size container.
TagListValue | A metafunction to retrieve a tag from a TagList.
Functions
getFileFormatExtensions | Returns file format extensions given a format tag.
Shortcuts
AutoSeqStreamFormat | A TagSelector for SeqStreamFormats, the list of the currently implemented Sequence-Formats (in RecordReader/Stream-IO)
SeqStreamFormats | A Tag list of the currently implemented Sequence-Formats (in RecordReader/Stream-IO)
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00